## arch-install-scripts 18

=== Makefile ===
VER=18

PREFIX = /usr/local

BINPROGS = \
	arch-chroot \
	genfstab \
	pacstrap

BASH = bash

all: $(BINPROGS)

V_GEN = $(_v_GEN_$(V))
_v_GEN_ = $(_v_GEN_0)
_v_GEN_0 = @echo "  GEN     " $@;

edit = $(V_GEN) m4 -P $@.in >$@ && chmod go-w,+x $@

%: %.in common
	$(edit)

clean:
	$(RM) $(BINPROGS)

check: all
	@for f in $(BINPROGS); do bash -O extglob -n $$f; done
	@r=0; for t in test/test_*; do $(BASH) $$t || { echo $$t fail; r=1; }; done; exit $$r

install: all
	install -dm755 $(DESTDIR)$(PREFIX)/bin
	install -m755 $(BINPROGS) $(DESTDIR)$(PREFIX)/bin
	install -Dm644 zsh-completion $(DESTDIR)$(PREFIX)/share/zsh/site-functions/_archinstallscripts

uninstall:
	for f in $(BINPROGS); do $(RM) $(DESTDIR)$(PREFIX)/bin/$$f; done
	$(RM) $(DESTDIR)$(PREFIX)/share/zsh/site-functions/_archinstallscripts

dist:
	git archive --format=tar --prefix=arch-install-scripts-$(VER)/ v$(VER) | gzip -9 > arch-install-scripts-$(VER).tar.gz
	gpg --detach-sign --use-agent arch-install-scripts-$(VER).tar.gz

.PHONY: all clean install uninstall dist

=== debian/changelog ===
arch-install-scripts (18-1) unstable; urgency=medium

  * Initial release.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 20 Mar 2018 22:39:36 -0400

=== debian/control ===
Source: arch-install-scripts
Section: admin
Priority: optional
Maintainer: Unit 193 <unit193@ubuntu.com>
Build-Depends: debhelper (>= 10), m4
Standards-Version: 4.1.3
Homepage: https://projects.archlinux.org/arch-install-scripts.git

Package: arch-install-scripts
Architecture: all
Depends: ${misc:Depends}
Description: scripts aimed at automating some menial tasks when debootstrapping
 A small suite of scripts aimed at automating some menial tasks when
 installing Arch Linux.
 .
 These scripts can also aid when debootstrapping a Debian based system.
 .
 This package contains `genfstab` which assists with generating a fstab and
 `arch-chroot` which assists with setting up bind mounts and disabling services
 via policy.d.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:
	make PREFIX=/usr DESTDIR="$(CURDIR)/debian/arch-install-scripts" install
	-rm debian/arch-install-scripts/usr/bin/pacstrap

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://sources.archlinux.org/other/arch-install-scripts/arch-install-scripts-(.*)\.tar\.gz

## arch-install-scripts 19

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VER=18
+VER=19
 
 PREFIX = /usr/local
 
@@ -32,12 +32,4 @@
 	install -m755 $(BINPROGS) $(DESTDIR)$(PREFIX)/bin
 	install -Dm644 zsh-completion $(DESTDIR)$(PREFIX)/share/zsh/site-functions/_archinstallscripts
 
-uninstall:
-	for f in $(BINPROGS); do $(RM) $(DESTDIR)$(PREFIX)/bin/$$f; done
-	$(RM) $(DESTDIR)$(PREFIX)/share/zsh/site-functions/_archinstallscripts
-
-dist:
-	git archive --format=tar --prefix=arch-install-scripts-$(VER)/ v$(VER) | gzip -9 > arch-install-scripts-$(VER).tar.gz
-	gpg --detach-sign --use-agent arch-install-scripts-$(VER).tar.gz
-
-.PHONY: all clean install uninstall dist
+.PHONY: all clean install uninstall

=== debian/changelog ===
arch-install-scripts (19-1) unstable; urgency=medium

  * d/watch: Update location of tarballs, no longer includes *.sig.
  * New upstream version 19
  * d/arch-chroot.adoc, d/control, d/genfstab.adoc, d/manpages, d/rules:
    - Write manpages for the scripts, use asciidoctor to generate final output.
  * Update Standards-Version to 4.2.1.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 28 Aug 2018 19:55:42 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Unit 193 <unit193@ubuntu.com>
-Build-Depends: debhelper (>= 10), m4
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 10), asciidoctor, m4
+Standards-Version: 4.2.1
 Homepage: https://projects.archlinux.org/arch-install-scripts.git
 
 Package: arch-install-scripts

## arch-install-scripts 20

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VER=19
+VER=20
 
 PREFIX = /usr/local

=== debian/changelog ===
arch-install-scripts (20-1) unstable; urgency=medium

  * New upstream version 20
    - Refresh patches.
  * d/arch-chroot.adoc, d/genfstab.adoc:
    - Update manpages from updated help text.
  * d/compat, d/control: Bump dh compat to 11.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 23 Oct 2018 20:28:22 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Unit 193 <unit193@ubuntu.com>
-Build-Depends: debhelper (>= 10), asciidoctor, m4
+Build-Depends: debhelper (>= 11), asciidoctor, m4
 Standards-Version: 4.2.1
 Homepage: https://projects.archlinux.org/arch-install-scripts.git

## arch-install-scripts 21

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VER=20
+VER=21
 
 PREFIX = /usr/local

=== debian/changelog ===
arch-install-scripts (21-1) unstable; urgency=medium

  * New upstream version 21
    - Refresh patch.
  * d/copyright: Update years.
  * Update Standards-Version to 4.3.0.
  * d/compat, d/control:
    - Drop d/compat in favor of debhelper-compat, bump to 12.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 11 Jan 2019 00:43:01 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Unit 193 <unit193@ubuntu.com>
-Build-Depends: debhelper (>= 11), asciidoctor, m4
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), asciidoctor, m4
+Standards-Version: 4.3.0
 Homepage: https://projects.archlinux.org/arch-install-scripts.git
 
 Package: arch-install-scripts

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,11 @@
 override_dh_auto_install:
 	make PREFIX=/usr DESTDIR="$(CURDIR)/debian/arch-install-scripts" install
 	-rm debian/arch-install-scripts/usr/bin/pacstrap
+
+override_dh_installman:
+	asciidoctor --backend manpage debian/arch-chroot.adoc
+	asciidoctor --backend manpage debian/genfstab.adoc
+	dh_installman
+
+override_dh_clean:
+	dh_clean debian/arch-chroot.1 debian/genfstab.1

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
https://git.archlinux.org/arch-install-scripts.git/refs/ .*/arch-install-scripts-(.*)\.tar\.xz

## arch-install-scripts 22

=== Makefile ===
VER=22

PREFIX = /usr/local

BINPROGS = \
	arch-chroot \
	genfstab \
	pacstrap

MANS = \
	doc/arch-chroot.8 \
	doc/genfstab.8 \
	doc/pacstrap.8

BASH = bash

all: $(BINPROGS) man
man: $(MANS)

V_GEN = $(_v_GEN_$(V))
_v_GEN_ = $(_v_GEN_0)
_v_GEN_0 = @echo "  GEN     " $@;

edit = $(V_GEN) m4 -P $@.in >$@ && chmod go-w,+x $@

%: %.in common
	$(edit)

doc/%: doc/%.asciidoc doc/asciidoc.conf doc/footer.asciidoc
	$(V_GEN) a2x --no-xmllint --asciidoc-opts="-f doc/asciidoc.conf" -d manpage -f manpage -D doc $<

clean:
	$(RM) $(BINPROGS) $(MANS)

check: all
	@for f in $(BINPROGS); do bash -O extglob -n $$f; done
	@r=0; for t in test/test_*; do $(BASH) $$t || { echo $$t fail; r=1; }; done; exit $$r

install: all
	install -dm755 $(DESTDIR)$(PREFIX)/bin
	install -m755 $(BINPROGS) $(DESTDIR)$(PREFIX)/bin
	install -Dm644 completion/_archinstallscripts.zsh $(DESTDIR)$(PREFIX)/share/zsh/site-functions/_archinstallscripts
	cd completion; for comp in *.bash; do \
		install -Dm644 $$comp $(DESTDIR)$(PREFIX)/share/bash-completion/completions/$${comp%%.*}; \
	done;
	for manfile in $(MANS); do \
		install -Dm644 $$manfile -t $(DESTDIR)$(PREFIX)/share/man/man$${manfile##*.}; \
	done;

.PHONY: all clean install uninstall

=== debian/changelog ===
arch-install-scripts (22-1) unstable; urgency=medium

  * New upstream version 22
  * d*.adoc, d/manpages, d/rules: Drop our manpages in favor of upstream's.
  * d/rules: Clean up pacstrap's manpage and bash-completion too.
  * d/control:
    - Update Build-Depend: asciidoctor → asciidoc-base, docbook-xsl, xsltproc.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 03 Jul 2019 05:10:54 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Unit 193 <unit193@ubuntu.com>
-Build-Depends: debhelper-compat (= 12), asciidoctor, m4
+Build-Depends: debhelper-compat (= 12), asciidoc-base, docbook-xsl, m4, xsltproc
 Standards-Version: 4.3.0
 Homepage: https://projects.archlinux.org/arch-install-scripts.git

## arch-install-scripts 23

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VER=22
+VER=23
 
 PREFIX = /usr/local

=== debian/changelog ===
arch-install-scripts (23-1) unstable; urgency=medium

  * d/watch: Allow zst, bz2, and gz compressed tarballs.
  * New upstream version 23
  * d/u/signing-key.asc: Drop, no longer useful.
  * d/copyright: Add Eli Schwartz.
  * d/control:
    - R³: no.
    - Add Vcs-* fields.
  * Update Standards-Version to 4.4.1.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 15 Nov 2019 19:33:46 -0500

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,11 @@
 Priority: optional
 Maintainer: Unit 193 <unit193@ubuntu.com>
 Build-Depends: debhelper-compat (= 12), asciidoc-base, docbook-xsl, m4, xsltproc
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Homepage: https://projects.archlinux.org/arch-install-scripts.git
+Vcs-Browser: https://git.unit193.net/cgit/users/unit193/arch-install-scripts.git
+Vcs-Git: https://git.unit193.net/cgit/users/unit193/arch-install-scripts.git
 
 Package: arch-install-scripts
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:
	make PREFIX=/usr DESTDIR="$(CURDIR)/debian/arch-install-scripts" install
	find debian/arch-install-scripts -name 'pacstrap*' -delete

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
https://git.archlinux.org/arch-install-scripts.git/refs/ .*/arch-install-scripts-(.*)\.tar\.(?:xz|zst|bz2|gz)

## arch-install-scripts 24

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VER=23
+VER=24
 
 PREFIX = /usr/local

=== debian/changelog ===
arch-install-scripts (24-1) unstable; urgency=medium

  * d/control, d/copyright, d/watch: Update project URLs.
  * New upstream version 24.
  * d/copyright: Update years.

 -- Unit 193 <unit193@debian.org>  Wed, 11 Aug 2021 18:43:17 -0400

arch-install-scripts (23-3) unstable; urgency=medium

  * d/install, d/p/policy.d_no_autostart.patch, d/policy-rc.d:
    - Drop setting up policy-rc.d.
  * d/control: Update description, thanks MTecknology. (Closes: #978439)

 -- Unit 193 <unit193@debian.org>  Wed, 06 Jan 2021 20:46:36 -0500

arch-install-scripts (23-2) unstable; urgency=medium

  * d/control, d/copyright, d/patches/*: Update my email address.
  * d/control:
    - Bump DH compat to 13.
    - Set arch-install-scripts Multi-Arch: foreign.
  * d/p/policy.d_no_autostart.patch, d/install, d/policy-rc.d:
    - Re-write how we set up policy-rc.d, using bind mounts.
  * d/watch: Bump to version 4.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Sat, 19 Dec 2020 20:53:35 -0500

=== debian/control ===
Source: arch-install-scripts
Section: admin
Priority: optional
Maintainer: Unit 193 <unit193@debian.org>
Build-Depends: debhelper-compat (= 13), asciidoc-base, docbook-xsl, m4, xsltproc
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/archlinux/arch-install-scripts
Vcs-Browser: https://git.unit193.net/cgit/users/unit193/arch-install-scripts.git
Vcs-Git: https://git.unit193.net/cgit/users/unit193/arch-install-scripts.git

Package: arch-install-scripts
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: scripts aimed at automating some menial tasks
 arch-install-scripts provides a small suite of scripts originally meant to
 automate some menial tasks during the installation of an Arch system.
 This package provides the scripts that can be useful for debootstrapping a
 Debian-based system.
 .
 This package contains:
 - genfstab: Automatically generate an fstab file
 - arch-chroot: Set up bind mounts and chroot into the target system.

=== debian/watch ===
version=4
https://github.com/archlinux/arch-install-scripts/releases .*/v([\d\.]+)\.tar\.(?:xz|zst|bz2|gz)

## arch-install-scripts 26

=== debian/changelog ===
arch-install-scripts (26-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Unit 193 <unit193@debian.org>  Wed, 10 Aug 2022 23:51:10 -0400

arch-install-scripts (26-1) unstable; urgency=medium

  * New upstream version 26.
  * d/control: Suggest pacman-package-manager and update description.
  * d/rules:
    - Drop removal of pacstrap, pacman is now in Debian. (Closes: #1016714)

 -- Unit 193 <unit193@debian.org>  Fri, 05 Aug 2022 18:08:20 -0400

arch-install-scripts (25-1) unstable; urgency=medium

  * d/watch: Update, GitHub no longer includes tags on releases page.
  * New upstream version 25.
  * d/copyright: Update years.
  * Update Standards-Version to 4.6.1.

 -- Unit 193 <unit193@debian.org>  Tue, 05 Jul 2022 01:35:20 -0400

## arch-install-scripts 27

=== debian/changelog ===
arch-install-scripts (27-1) unstable; urgency=medium

  * New upstream version 27.

 -- Unit 193 <unit193@debian.org>  Wed, 28 Sep 2022 23:14:14 -0400

## arch-install-scripts 28

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VER=24
+VER=26
 
 PREFIX = /usr/local

=== debian/changelog ===
arch-install-scripts (28-1) unstable; urgency=medium

  * New upstream version 28.
    - Refresh patch.

 -- Unit 193 <unit193@debian.org>  Tue, 22 Nov 2022 04:42:47 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Unit 193 <unit193@debian.org>
 Build-Depends: debhelper-compat (= 13), asciidoc-base, docbook-xsl, m4, xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/archlinux/arch-install-scripts
 Vcs-Browser: https://git.unit193.net/cgit/users/unit193/arch-install-scripts.git
 Vcs-Git: https://git.unit193.net/cgit/users/unit193/arch-install-scripts.git
@@ -13,6 +13,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Suggests: pacman-package-manager
 Description: scripts aimed at automating some menial tasks
  arch-install-scripts provides a small suite of scripts originally meant to
  automate some menial tasks during the installation of an Arch system.
@@ -20,5 +21,6 @@
  Debian-based system.
  .
  This package contains:
- - genfstab: Automatically generate an fstab file
  - arch-chroot: Set up bind mounts and chroot into the target system.
+ - genfstab: Automatically generate an fstab file.
+ - pacstrap: Bootstrap Archlinux via pacman.

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,3 @@
 
 override_dh_auto_install:
 	make PREFIX=/usr DESTDIR="$(CURDIR)/debian/arch-install-scripts" install
-	find debian/arch-install-scripts -name 'pacstrap*' -delete

=== debian/watch ===
version=4
https://github.com/archlinux/arch-install-scripts/tags .*/v([\d\.]+)\.tar\.(?:xz|zst|bz2|gz)

## arch-install-scripts 31

=== debian/changelog ===
arch-install-scripts (31-1) unstable; urgency=medium

  * d/control, d/copyright, d/watch: Update for new home.
    Thanks to Jascha Sticher
  * New upstream version 31.
    - Refresh patch.
  * d/control:
    - Drop 'priority' and R³, set by default.
    - Update for new Vcs-* location.
  * d/copyright: Bump years.
  * Update Standards-Version to 4.7.3.

 -- Unit 193 <unit193@debian.org>  Tue, 03 Mar 2026 02:07:37 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: arch-install-scripts
 Section: admin
-Priority: optional
 Maintainer: Unit 193 <unit193@debian.org>
 Build-Depends: debhelper-compat (= 13), asciidoc-base, docbook-xsl, m4, xsltproc
-Rules-Requires-Root: no
-Standards-Version: 4.6.1
-Homepage: https://github.com/archlinux/arch-install-scripts
-Vcs-Browser: https://git.unit193.net/cgit/users/unit193/arch-install-scripts.git
-Vcs-Git: https://git.unit193.net/cgit/users/unit193/arch-install-scripts.git
+Standards-Version: 4.7.3
+Homepage: https://gitlab.archlinux.org/archlinux/arch-install-scripts
+Vcs-Browser: https://codeberg.org/Unit193/arch-install-scripts
+Vcs-Git: https://codeberg.org/Unit193/arch-install-scripts.git
 
 Package: arch-install-scripts
 Architecture: all

=== debian/watch ===
Version: 5
Template: GitLab
Dist: https://gitlab.archlinux.org/archlinux/arch-install-scripts
